<?xml version="1.0" encoding="UTF-8"?>
<definitions name="ServicioAprobador" targetNamespace="http://j2ee.netbeans.org/wsdl/ServicioAprobador"
    xmlns="http://schemas.xmlsoap.org/wsdl/"
    xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
    xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:tns="http://j2ee.netbeans.org/wsdl/ServicioAprobador" xmlns:ns="http://xml.netbeans.org/schema/Creditos" xmlns:plnk="http://docs.oasis-open.org/wsbpel/2.0/plnktype" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/">
    <types>
        <xsd:schema targetNamespace="http://j2ee.netbeans.org/wsdl/ServicioAprobador">
            <xsd:import namespace="http://xml.netbeans.org/schema/Creditos" schemaLocation="Creditos.xsd"/>
        </xsd:schema>
    </types>
    <message name="ServicioAprobadorOperationRequest">
        <part name="input" element="ns:ApprovalRequest"/>
    </message>
    <message name="ServicioAprobadorOperationReply">
        <part name="output" element="ns:ApprovalResponse"/>
    </message>
    <portType name="ServicioAprobadorPortType">
        <operation name="aprobarCredito">
            <input name="input1" message="tns:ServicioAprobadorOperationRequest"/>
            <output name="output1" message="tns:ServicioAprobadorOperationReply"/>
        </operation>
    </portType>
    <binding name="ServicioAprobadorBinding" type="tns:ServicioAprobadorPortType">
        <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
        <operation name="aprobarCredito">
            <soap:operation/>
            <input name="input1">
                <soap:body use="literal"/>
            </input>
            <output name="output1">
                <soap:body use="literal"/>
            </output>
        </operation>
    </binding>
    <service name="ServicioAprobadorService">
        <port name="ServicioAprobadorPort" binding="tns:ServicioAprobadorBinding">
            <soap:address 
	       location="http://localhost:777/ws/aprobadorExterno"/>
        </port>
    </service>
    <plnk:partnerLinkType name="ServicioAprobador1">
        <!-- A partner link type is automatically generated when a new port type is added. Partner link types are used by BPEL processes. 
In a BPEL process, a partner link represents the interaction between the BPEL process and a partner service. Each partner link is associated with a partner link type.
A partner link type characterizes the conversational relationship between two services. The partner link type can have one or two roles.-->
        <plnk:role name="ServicioAprobadorPortTypeRole" portType="tns:ServicioAprobadorPortType"/>
    </plnk:partnerLinkType>
</definitions>
